forums.PPSSPP.org
[Solved, GPU is too old] Help with OpenGL - Printable Version

+- forums.PPSSPP.org (https://forums.ppsspp.org)
+-- Forum: PPSSPP - Playstation Portable Simulator Suitable for Playing Portably (/forumdisplay.php?fid=1)
+--- Forum: General Discussion and Announcements (/forumdisplay.php?fid=2)
+--- Thread: [Solved, GPU is too old] Help with OpenGL (/showthread.php?tid=12660)

Pages: 1 2


[Solved, GPU is too old] Help with OpenGL - Luisdert - 08-02-2014 12:25 AM

Hi,im new and i downloaded PPSSPP but when i run it it says: Your GPU doesnt support OpenGL 2.0 and it is needed to run PPSSPP. Can you give me help saying me where can i download drivers with Open GL 2.0. Please because i want to play PSP games

PD:This is my first post


RE: Help with OpenGL - solarmystic - 08-02-2014 01:03 AM

What graphics card do you have?

Get GPUz (GPU identification/monitoring tool), run it, and tell us what you have.


RE: Help with OpenGL - Accel - 08-02-2014 02:06 PM

or you can press the start button(window icon) and type at the search bar "dxdiag"


RE: Help with OpenGL - Luisdert - 08-02-2014 03:21 PM

Here are the GPUz results:

[attachment=12322]


RE: Help with OpenGL - solarmystic - 08-02-2014 03:31 PM

Thanks for the results.

Unfortunately, your card (Intel GMA 3150) belongs to the 3rd Generation of Intel Integrated Cards which do not have OpenGL 2.0 support on Windows.

Quote:Third generation:-
(These cards are capable of OpenGL 2.0 on Linux but only of OpenGL 1.3/1.4 on Windows. Yes, Intel in their infinite wisdom decided not to make drivers with 2.0 support for these cards on Windows)

GMA 900 (910GL, 915GL, 915GV, 915G, Mobile 915 Family)
GMA 950 (945GZ, 945GC, 945G, Mobile 945 Family)
GMA 3100 (Q33, Q35, G31, G33)
GMA 3150 (Atom D4xx, Atom D5xx, Atom N4xx, Atom N5xx)

PPSSPP will never run on your Windows system, even with driver updates, unless you can upgrade the graphics card somehow (unlikely on an Atom chipset).

The card does support OpenGL 2.0 under Linux though, so if you're willing to install Linux on your system for PPSSPP, it could still work out.


RE: Help with OpenGL - Luisdert - 08-02-2014 03:52 PM

Well, thanks for telling me


RE: [Solved, GPU is too old] Help with OpenGL - gildedtalon - 08-04-2014 02:11 PM

What about mine? I have the same problem

OpenGL driver error

GPUz result


RE: [Solved, GPU is too old] Help with OpenGL - solarmystic - 08-04-2014 02:44 PM

(08-04-2014 02:11 PM)gildedtalon Wrote:  What about mine? I have the same problem

OpenGL driver error

GPUz result

Same answer as I've given Luisdert.

Your Intel Integrated GPU (from GPUz -> GMA 3100 (Q33, Q35, G31, G33)) also belongs to the third generation that does not have OpenGL 2.0 support on Windows.

It will never work with PPSSPP on Windows.


RE: [Solved, GPU is too old] Help with OpenGL - gildedtalon - 08-04-2014 03:08 PM

Such a shame, my laptop can play the PSP emulator but can't play the PS2 emulator
My computer can play the PS2 emulator but can not play the PSP emulator

The laptop is in another town, I'm just back home after holiday
Damn


RE: [Solved, GPU is too old] Help with OpenGL - jasdinio - 08-05-2014 12:34 PM

Any idea about mine?
I used a program called speccy and it says that my gpu does support open GL 2.1
However i do get the same error

Pictures of the information are in attachments


RE: [Solved, GPU is too old] Help with OpenGL - solarmystic - 08-05-2014 01:06 PM

(08-05-2014 12:34 PM)jasdinio Wrote:  Any idea about mine?
I used a program called speccy and it says that my gpu does support open GL 2.1
However i do get the same error

Okay, now that's highly unusual. PPSSPP should at least boot up normally on your system, which actually has OpenGL 3.3 support. (Speccy is actually inaccurate in this instance)

Usually I'd recommend that you get/downgrade to the 11.11a drivers since you're using a legacy HD 4xxx series card like mine which are guaranteed to work without any issues, but your vendor is Sony which could make it diffcult since they're one of the few OEMs that hardblock the installation of generic graphics drivers from ATI/AMD, which complicates matters when it comes to driver updates.

What you have to do instead, is to cross your fingers and head to Sony's support site for your laptop and hope that they have updated ATI drivers for your card instead.

Here's a great Steam community guide that addresses the issue and suggests ways to get around the hardblock:-

http://steamcommunity.com/app/233250/discussions/2/558749190925676183/

EDIT:- Actually, I think Speccy is inaccurate for you due to outdated drivers on your system. Here's mine.

[Image: ifgm15QjhAA0E.PNG]


RE: [Solved, GPU is too old] Help with OpenGL - jasdinio - 08-06-2014 12:18 PM

So what happens if i downgrade? does my gpu get worse? and i've tried updating beforehand when posting this by using the amd auto detect for drivers thing and i still got the same error however tried using more methods from that steam post you linked me which is very useful but i would like to know what would happen if i downgraded


RE: [Solved, GPU is too old] Help with OpenGL - bitak - 08-06-2014 06:24 PM

my computer is

intel®
atom™
cpu n475
1.83ghz
memory(ram) 2.00gb
32-bit


can i play ppsspp in my computer?
thanks in advance


RE: [Solved, GPU is too old] Help with OpenGL - solarmystic - 08-06-2014 08:10 PM

(08-06-2014 12:18 PM)jasdinio Wrote:  So what happens if i downgrade? does my gpu get worse? and i've tried updating beforehand when posting this by using the amd auto detect for drivers thing and i still got the same error however tried using more methods from that steam post you linked me which is very useful but i would like to know what would happen if i downgraded

Nothing adverse will happen. Just try it out.

(08-06-2014 06:24 PM)bitak Wrote:  my computer is

intel®
atom™
cpu n475
1.83ghz
memory(ram) 2.00gb
32-bit


can i play ppsspp in my computer?
thanks in advance

Unfortunately it's part of the third generation (GMA 3150 (Atom D4xx, Atom D5xx, Atom N4xx, Atom N5xx)) which does not support OpenGL 2.0 on Windows, so no.

Folks, please read this stickied thread before asking questions about compatibility if you're on an intel integrated graphics chipset. All your answers are there.


RE: [Solved, GPU is too old] Help with OpenGL - jasdinio - 08-06-2014 09:22 PM

@solarmystic thanks for the help dude i have downgraded and ppsspp does now work however i do notice a little worse performance on graphics in my 2nd monitor no idea why but also how do you find out what graphics card can run what version of open gl


Edit: Also how come there isn't any bad effect of downgrading drivers? I mean aren't you supposed to keep drivers updated instead of changing them to an older version.

If you can help with this also when i downgraded what happened is that everything on my screen got smaller for instance like when i open the library it just went tiny like all my other applications and skype and my steam everything just went small is there a quick way to fix all this or do i just have to resize them manually?